package com.example.demo.LearnerLab;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import javax.annotation.PostConstruct;

@Component
public class Alumni {

    @Autowired
    private Students previousStudents;

    @Autowired
    private Instructors instructors;

    public Alumni(Students previousStudents, Instructors instructors){
        this.previousStudents = previousStudents;
        this.instructors = instructors;
    }

    @PostConstruct
    public void executeBootcamp(){
        for (Instructor instructor : instructors) {
            instructor.lecture(previousStudents, 1200);
        }
    }

    public Students getPreviousStudents() {
        return previousStudents;
    }

    public Instructors getInstructors() {
        return instructors;
    }
}
