package com.example.demo.LearnerLab;

import java.util.stream.StreamSupport;

public class Instructor extends Person implements Teacher{

    public Instructor(long id, String name) {
        super(id, name);
    }

    @Override
    public void teach(Learner learner, double numberOfHours) {
        learner.learn(numberOfHours);
    }

    @Override
    public void lecture(Iterable<? extends Learner> learners, double numberOfHours) {
        int count = (int) StreamSupport.stream(learners.spliterator(), false).count();

        for (Learner learner: learners) {
            learner.learn(numberOfHours / count);
        }
    }
}
