package com.example.demo.LearnerLab;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.DependsOn;

@Configuration
public class ClassroomConfig {

    @Bean(name = "currentCohort")
    @DependsOn({"instructors","students"})
    public Classroom currentCohort(){
        return new Classroom(new Instructors(), new Students());
    }

    @Bean(name = "previousCohort")
    @DependsOn({"instructors", "previousStudents"})
    public Classroom previousCohort(){
        return new Classroom(new Instructors(), new Students());
    }

}
